package com.ho.business.mapper;

import com.ho.business.entity.ColCount;
import com.ho.business.vo.req.colCount.ColCountReq;
import com.ho.business.vo.resp.colCount.ColCountResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xwz
 * @desc: 指标偏差值
 * @DateTime: 2023/7/5
 */
@Mapper
public interface ColCountMapper {

    List<ColCountResp> selectByParam(ColCountReq colCountReq);

    int insertColCount(ColCount userHabit);

    int insertList(@Param("list") List<ColCount> list);

    int updateById(ColCount userHabit);

    /**
     * 批量删除
     * @param ids
     * @return
     */
    int deleteByList(@Param("ids") List<Integer> ids);

    int deleteStationId(@Param("stationId") Integer stationId);
}
